## v1.14.0

### Additions

- Added new flag options `--storage-image` and `--untar-image` to the Scorecard command to allow overwrite its default values. These options are useful for disconnect environments and to prevent an impact of the external registry's pull limits. ([#5306](https://github.com/operator-framework/operator-sdk/pull/5306))
- Added information to the errors raised by scorecard basic tests to allow easily identify the scenarios. ([#5273](https://github.com/operator-framework/operator-sdk/pull/5273))

### Changes

- - Upgrade the Kubernetes dependencies from `1.21` to `1.22`. - Upgrade the controller-gen dependency from `v0.6.2` to `v0.7.0`. More info: https://github.com/kubernetes-sigs/controller-tools/releases - Upgrade the sigs.k8s.io/controller-runtime dependency from `v0.9.2` to `v0.10.0`. More info: https://github.com/kubernetes-sigs/controller-runtime/releases - Upgrade the Env Test used from `1.21` to `1.22`. ([#5228](https://github.com/operator-framework/operator-sdk/pull/5228))
- Bumped community.kubernetes to kubernetes.core >= 2.2.0. Added the kubernetes.core collection to requirements. ([#5249](https://github.com/operator-framework/operator-sdk/pull/5249))
- Reformat xml output to support in-line attributes. ([#5241](https://github.com/operator-framework/operator-sdk/pull/5241))

### Removals

- Helm operator reconciliation diffs are now logged only at the zap debug level. ([#5307](https://github.com/operator-framework/operator-sdk/pull/5307))

### Bug Fixes

- scorecard will now print out the failed CR when the basic test fails. ([#5255](https://github.com/operator-framework/operator-sdk/pull/5255))
- For Ansible-based Operators, adds documented `Successful` condition, and no longer removes conditions from the status in updates. Users can now wait for a successful reconciliation by waiting for the `Successful` type condition to be `True`. ([#5262](https://github.com/operator-framework/operator-sdk/pull/5262))
- Fixed an error where `bundle validate` would return a "duplicate service account" error when an object and service account have the same `.metadata.name` in a bundle. ([#5282](https://github.com/operator-framework/operator-sdk/pull/5282))
- The list of webhooks in `webhookdescription` was previously sorted based on `webhookType`. It is now being sorted based on webhook names. ([#5301](https://github.com/operator-framework/operator-sdk/pull/5301))
