## v1.18.0

### Additions

- Add bundle size validator check for the command `operator-sdk bundle validate` check if the bundle is not bigger than ~4MB and warning the authors if the bundle size is closer to this amount. [More info](https://github.com/operator-framework/api/pull/210). ([#5552](https://github.com/operator-framework/operator-sdk/pull/5552))
- Add warning check for properties defined in the CSV for the command `operator-sdk bundle validate` warning when found properties annotations in the CSV recommending define these properties in `metadata/properties.yaml` instead. [More info](https://github.com/operator-framework/api/pull/217). ([#5552](https://github.com/operator-framework/operator-sdk/pull/5552))
- Add support to check for the manifests using the APIs which will be removed in [1.25](https://kubernetes.io/docs/reference/using-api/deprecation-guide/#v1-25) and [1.26](https://kubernetes.io/docs/reference/using-api/deprecation-guide/#v1-26) Kubernetes versions in the bundle manifests via the commands `operator-sdk bundle validate ./bundle --select-optional name=alpha-deprecated-apis` and consequently to `operator-sdk bundle validate ./bundle --select-optional suite=operatorframework`. Note that is unlike these APIs be present on the bundle. [More info](https://github.com/operator-framework/api/pull/208). ([#5552](https://github.com/operator-framework/operator-sdk/pull/5552))
- Adds support to bundle operators using image digests instead of tags. ([#5567](https://github.com/operator-framework/operator-sdk/pull/5567))

### Changes

- (java/v1alpha) bumping the java-operator-plugins dependency to v0.2.0. This release includes the following items.
### Additions - chore: bump go 1.17, k8s 1.23, and kubebuilder 3.3 (#69) - chore(deps): update to Quarkus SDK extension 3.0.2 and Quarkus 2.6.3 (#70) - chore(deps): update to use Quarkus JOSDK extension 3.0.1 (#67) - Remove useless file (#65) - chore: bump k8s 1.22.2 and kubebuilder 3.2 (#64) - exposed endpoints for micrometer metrics (#45) - modified the Quarkus operator SDK version and tutorial too (#40) - chore: bump fabric8 5.8.0 & quarkus 2.4.0 (#42) - modified the doc file and removed file after generation (#41) - release: fix release script to understand release branches (#38)
### Bug Fixes - Fix for wrongly generated file name (#73). ([#5542](https://github.com/operator-framework/operator-sdk/pull/5542))

### Bug Fixes

- Fixed a bug in `generate kustomze manifest` that quotes from interactive input were not trimmed properly. ([#5545](https://github.com/operator-framework/operator-sdk/pull/5545))
- Add requirement cloud.common for Ansible-based operators. ([#5505](https://github.com/operator-framework/operator-sdk/pull/5505))
