## v1.20.0

### Additions

- New check to warning authors when the CRD description is empty was added to the Good Practices validator. You are able to check it by running `operator-sdk bundle validate ./bundle --select-optional name=good-practices` or `$ operator-sdk bundle validate ./bundle --select-optional suite=operatorframework` ([More info](https://github.com/operator-framework/api/pull/234)). ([#5552](https://github.com/operator-framework/operator-sdk/pull/5552))
- For ansible-based operators, proxy server port can be changed with the new `proxy-port` flag, which still defaults to 8888. ([#5669](https://github.com/operator-framework/operator-sdk/pull/5669))
- Previously we added this error to show the user that the Path component is part of proxy server. Now, kubectl made this fix that handles this case and there is no need to throw this error anymore. ([#5648](https://github.com/operator-framework/operator-sdk/pull/5648))

### Changes

- Update the supported OLM versions to 0.18.3, 0.19.1, 0.20.0. ([#5684](https://github.com/operator-framework/operator-sdk/pull/5684))

### Bug Fixes

- Fix: channel naming validator check and move it for the Good Practices validator. You are able to check it by running `operator-sdk bundle validate ./bundle --select-optional name=good-practices` or `$ operator-sdk bundle validate ./bundle --select-optional suite=operatorframework` ([More info](https://github.com/operator-framework/api/pull/231)). ([#5552](https://github.com/operator-framework/operator-sdk/pull/5552))
- For ansible-based operators, this change fixes an issue that caused finalizers to fail to run if the watched resource (CR) is deleted during reconciliation. ([#5678](https://github.com/operator-framework/operator-sdk/pull/5678))
- The related image discovery feature currently only reads environment variables from the manager container. This was causing an error when the deployment labels or container name that was expected were not present. This fixes that by collecting related images from all containers across all deployments.
This change also enables users to use related images in other containers since related images from everywhere will be considered. ([#5639](https://github.com/operator-framework/operator-sdk/pull/5639))
