## v1.27.0

### Changes

- `operator-sdk run bundle(-upgrade)`: Change default of the `--security-context-config` flag to be `legacy` instead of `restricted`. ([#6210](https://github.com/operator-framework/operator-sdk/pull/6210))
- `operator-sdk run bundle`: When creating the CatalogSource, we now set the `grpcPodConfig.SecurityContextConfig` to the value of the  `--security-context-config` flag. ([#6210](https://github.com/operator-framework/operator-sdk/pull/6210))
- The `scorecard-test-kuttl` image always prints the kuttl logs in case there is an error processing the kuttl report. ([#6225](https://github.com/operator-framework/operator-sdk/pull/6225))

### Bug Fixes

- `operator-sdk bundle validate`: Fix a bug in the Kubernetes 1.25 validation logic that would warn that a Kubernetes resource was deprecated without checking the group that contains the resource.  (i.e if apps/deployments was deprecated and you used other/deployments you would recieve a warning)". The validation logic will now verify the group and resource before issuing a warning. ([#6227](https://github.com/operator-framework/operator-sdk/pull/6227))
- `operator-sdk run bundle(-upgrade)`: Fix a bug where SQLite bundle images were failing to be run properly due to a change in the default channel that is used by `run bundle(-upgrade)` when creating a subscription. ([#6210](https://github.com/operator-framework/operator-sdk/pull/6210))
- `operator-sdk run bundle(-upgrade)`: Update the logic used to set a Registry Pod's PSA configuration to fix a bug where a Pod's containers still had a restrictive SecurityContext even when setting `--security-context-config=legacy`. ([#6210](https://github.com/operator-framework/operator-sdk/pull/6210))
- For `operator-sdk bundle validate`: Fix a bug that would make the command exit with a 0 exit code even if there were validation failures. ([#6274](https://github.com/operator-framework/operator-sdk/pull/6274))
- (scorecard): Fixes a bug where an error would be thrown if a Custom Resource did not have a `.spec` field, which is a perfectly valid scenario.  Instead of throwing an error scorecard will now issue a suggestion. ([#6245](https://github.com/operator-framework/operator-sdk/pull/6245))
