## v1.7.1

### Additions

- Added `operator-sdk pkgman-to-bundle` command to support migration of packagemanifests to bundle format. Refer  https://github.com/operator-framework/enhancements/blob/master/enhancements/sdk-migrate-bundle.md  for more details. ([#4718](https://github.com/operator-framework/operator-sdk/pull/4718))
- For Ansible-based operators, added log messages for each event that is received. This will make debugging excessive reconciliations much more straightforward. ([#4779](https://github.com/operator-framework/operator-sdk/pull/4779))
- Added new optional flag `--optional-values` to the command `operator-sdk bundle validate`. This option allows to inform a list of key and values to the validators. (e.g. `operator-sdk bundle validate ./bundle --optional-values=k8s-version=1.22 --select-optional suite=operatorframework`). ([#4693](https://github.com/operator-framework/operator-sdk/pull/4693))

### Changes

- (go/v3, ansible/v1, helm/v1) Bumped controller-runtime to v0.8.3 (kubernetes 1.20). ([#4863](https://github.com/operator-framework/operator-sdk/pull/4863))

### Deprecations

- Deprecated `operator-sdk generate packagemanifests` and `operator-sdk run packagemanifests` commands, packagemanifests support in general in favour of operator bundles. ([#4838](https://github.com/operator-framework/operator-sdk/pull/4838))

### Bug Fixes

- For Ansible- and Helm-based operators, added the `--config` flag, which was mistakenly not added to either ansible-/helm-operator binary when file support was originally added. ([#4776](https://github.com/operator-framework/operator-sdk/pull/4776))
- Format ansible-operator and helm-operator `run` command logs correctly. ([#4844](https://github.com/operator-framework/operator-sdk/pull/4844))
- (go/v3, ansible/v1, helm/v1) Moved `leases.coordination.k8s.io` to its own proxy-role rule. ([#4835](https://github.com/operator-framework/operator-sdk/pull/4835))
- (go/v3) Set the Makefile's `SHELL` variable to the system's `bash` binary with shell opts. ([#4835](https://github.com/operator-framework/operator-sdk/pull/4835))
- The `generate kustomize manifests` command no longer adds non-served CRD versions to a CSV's `.spec.customresourcedefinitions.owned`. ([#4842](https://github.com/operator-framework/operator-sdk/pull/4842))
- For Anible-based operators, fixed a bug that prevented owner reference annotations from being added to cluster-scoped and multi-namespace resources, which had to be applied manually to correctly reconcile them. ([#4850](https://github.com/operator-framework/operator-sdk/pull/4850))
