---
title: Issue Lifecycle
weight: 30
---

The Operator SDK project tracks bugs, feature requests, and questions
with [GitHub issues][gh-issues].

## Triage

Each week, there is a [triage meeting][triage-meeting] to review new
issues. Each issue that has been filed since the previous meeting is
discussed, GitHub labels are applied, and the issue is added to a
[Milestone][gh-milestones]. Additionally, anyone can request that a
previously triaged issue can be retriaged.

## Grooming

Following a release, there is a [grooming meeting][grooming-meeting] to
review issues that are desired in the next release. Issues are discussed
in the following order:

- Issues in the next release milestone
- Issues labeled as `priority/important-soon`
- Issues in other milestones/backlog if specifically requested


[gh-issues]:https://github.com/operator-framework/operator-sdk/issues
[gh-milestones]:https://github.com/operator-framework/operator-sdk/milestones
[grooming-meeting]:https://github.com/operator-framework/community#operator-sdk-grooming-meeting
[triage-meeting]:https://github.com/operator-framework/community#operator-sdk-issue-triage
